sM Polish Kit: Insurrection v1.6 [CE Support + Modules]

Distribute and discuss mods that are functional. Moderator - Grognak
User avatar
Jumbocarrot0
Posts: 374
Joined: Sat Oct 21, 2017 1:18 am
Location: My current location.

Re: sM Polish Kit: Insurrection v1.6 [CE Support + Modules]

Postby Jumbocarrot0 » Thu Mar 08, 2018 6:22 am

@4n4rch1st
Just a quick addon for AWM+ for CR to work it needs to include the AWM+ for insurrection, at least according to the description.
Also the AWM+ for standard sM:PK needs to be loaded after Captain’s Remix
Image
User avatar
4n4rch1st
Posts: 118
Joined: Tue Jan 02, 2018 9:50 am
Location: Fact: The Fact Core is 99% percent smarterer than 50% percent of other cores.

Re: sM Polish Kit: Insurrection v1.6 [CE Support + Modules]

Postby 4n4rch1st » Thu Mar 08, 2018 8:45 am

Huh.

I've been using it that way for ages, without any problems.
Well done war hero and or olympian. We are satisfied by your contribution to The Rebellio- BZZZZT Hey! That's the clone bay, not a bathroom.

Fact: Now with 110% more snarkyness!
User avatar
Jumbocarrot0
Posts: 374
Joined: Sat Oct 21, 2017 1:18 am
Location: My current location.

Re: sM Polish Kit: Insurrection v1.6 [CE Support + Modules]

Postby Jumbocarrot0 » Thu Mar 08, 2018 9:37 am

4n4rch1st wrote:Huh.

I've been using it that way for ages, without any problems.

If it works then it works.
Image
User avatar
slowriderxcorps
Posts: 453
Joined: Thu Apr 25, 2013 8:42 am

Re: sM Polish Kit: Insurrection v1.6 [CE Support + Modules]

Postby slowriderxcorps » Tue Mar 27, 2018 12:16 pm

Since it's been a while since I've last worked on the mod at all, I've decided to give it a slight update to make sure everything was still in one piece. Mostly however, it was to add a piece of functionality that was suggested and drafted to me on the FTL Discord by BurningCookies (who I'm assuming is FearTheBlaziken here since they've been the biggest source of third-party fixes to the mod that I can remember). Assuming it works as planned, this new function doesn't affect the core gameplay itself, but it ensures that it's running as planned. What it is, is a Failsafe system that causes Slipstream Mod Manager to halt the mod-patching procedure if it detects that the mods are being installed in the wrong order, or if they're being installed alongside other Total Conversion mods. With enough luck, this should prevent the vast majority of errors that can happen as a result of bad load orders.
ImageImage
19acomst
Posts: 32
Joined: Sun Aug 25, 2013 3:05 pm

Re: sM Polish Kit: Insurrection v1.6 [CE Support + Modules]

Postby 19acomst » Sun May 20, 2018 11:52 pm

Hi! I really love the work you've done on this mod, and I'm really looking forward to playing it. But whenever I try to install it, I get an error from Slipstream Mod Manager Image
I added the mods in the order recommended by the readme file, but this still happens. If anybody knows how or why this happened, please let me know. Thank you!
User avatar
slowriderxcorps
Posts: 453
Joined: Thu Apr 25, 2013 8:42 am

Re: sM Polish Kit: Insurrection v1.6 [CE Support + Modules]

Postby slowriderxcorps » Mon May 21, 2018 10:58 am

That's the Failsafe Code working as intended, in order to prevent incorrect Mod Orders from being used and causing errors in-game. Check the Readme files to find an order that works for what you're wishing to do with the mod.

In other news, I really shouldn't have taken a break from FTL as long as I did, because I inadvertently discovered that the Graphics Pack mod wasn't using Vanilla weapon statistics for the non-AE equipment and ships. My guess is that a copypaste error or such caused the balance changes that resulted from the investigation into Fire/Breach Rates to be accidentally ported into it. Those should now be fixed.
ImageImage
Tenchan
Posts: 1
Joined: Tue Jul 17, 2018 11:42 pm

Re: sM Polish Kit: Insurrection v1.6 [CE Support + Modules]

Postby Tenchan » Tue Jul 17, 2018 11:53 pm

hi Im triggering the failsafe like 19acomst above but I am at wit's end for what went wrong in my order TT

Mod order: (from fresh install on steam)
1) Alpha - the sM Polish Kit for 1.6
2) CE Resource Pack 1.308
3) Expansion - Captain's Remix for 1.6 <-----(Error'd here)


Image

any ideas? ty
User avatar
RAD-82
Posts: 781
Joined: Sat Nov 09, 2013 12:16 am
Location: Not where a person needs to be...

Re: sM Polish Kit: Insurrection v1.6 [CE Support + Modules]

Postby RAD-82 » Wed Jul 18, 2018 1:50 am

Tenchan wrote:hi Im triggering the failsafe like 19acomst above but I am at wit's end for what went wrong in my order TT

Mod order: (from fresh install on steam)
1) Alpha - the sM Polish Kit for 1.6
2) CE Resource Pack 1.308
3) Expansion - Captain's Remix for 1.6 <-----(Error'd here)

https://i.imgur.com/KXvFfho.jpg

any ideas? ty

The image suggests you are trying to patch things one by one, since the Alpha isn't selected. That is not how it works.

You have to click and drag all the different mods into the correct order and have them all selected at the same time before you patch the game.
Image
Junkyard has FTL mods, mostly ships and a few other things.
User avatar
Alcofribius
Posts: 2
Joined: Sun Aug 05, 2018 4:27 pm

Re: sM Polish Kit: Insurrection v1.6 [CE Support + Modules]

Postby Alcofribius » Sun Aug 05, 2018 4:51 pm

Hello,


I'm trying out (and enjoying !) this mod with a pretty simple mod order :

Alpha - The sM Polish Kit for Advanced Edition.ftl
Better Planets and Backgrounds_v1.3.1.ftl
Extended Pursuit Indicator x2 v.1.3.ftl
Module - Augmented Weapons for sMPK-AE.ftl
Advanced LTO! Base v1.0.2.ftl
SCRAMBLE_MENU.ftl
SCRAMBLE_MOREMENU.ftl

And infortunately there is not tips for augmented weapons but instead a message "couldn't find tip_awm_*"

* being the weapon augmentation : blaze, rust, react...

Any ideas why ? Thanks in advance !
User avatar
slowriderxcorps
Posts: 453
Joined: Thu Apr 25, 2013 8:42 am

Re: sM Polish Kit: Insurrection v1.6 [CE Support + Modules]

Postby slowriderxcorps » Sun Aug 05, 2018 8:35 pm

First thing to point out right away. The filenames you're listing here are from the legacy build of the mod, which was made for v1.5.13 of FTL. After it updated to 1.6.x, the internal file structure completely changed and messed with mods, so I had to rewrite everything for it. The version of my mod which was adapted for it has filenames which mention v1.6, so check the front page and download the latest version.
ImageImage

Who is online

Users browsing this forum: No registered users and 22 guests